///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//         This example code is from the book:
//
//           Object-Oriented Programming with C++ and OSF/Motif
//         by
//           Douglas Young
//           Prentice Hall, 1992
//           ISBN 0-13-630252-1	
//
//         Copyright 1991 by Prentice Hall
//         All Rights Reserved
//
//  Permission to use, copy, modify, and distribute this software for 
//  any purpose except publication and without fee is hereby granted, provided 
//  that the above copyright notice appear in all copies of the software.
///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////
// Password.h: Retrieve and check a password
//////////////////////////////////////////////////////// 
#ifndef PASSWORD_H
#define PASSWORD_H
#include <Xm/Xm.h>

class Password {
    
  private:
    
    Widget _rowColumn;  // Manager widget that contains others
    Widget _text;
    Widget _label;
    
    void checkPassword(); // Called when user hits <return> key
    
    // Static member function serves as an interface between
    // widget callback and member function
    
    static void checkPasswordCallback ( Widget, XtPointer, XtPointer );
    
  public:
    
    Password ( Widget, char * );
};
#endif


